> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/jobs-api/offices/list-offices.md).

# List offices

This endpoint allows you to get a list of all offices of the given organization.

{% hint style="info" %}
&#x20;This endpoint requires `offices_r` or `offices_rw` scope.
{% endhint %}

## offices list

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/offices`

#### Query Parameters

| Name                    | Type    | Description                                      |
| ----------------------- | ------- | ------------------------------------------------ |
| organization\_reference | string  | Reference of the associated organization/company |
| per\_page               | integer | Number of jobs per page                          |
| page                    | integer | Page offset                                      |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "id": 42,
    "name": "Paris",
    "address": "11 bis rue Bachaumont",
    "zip_code": "75002",
    "city": "Paris",
    "country_code": "FR",
    "is_headquarter": true
  }
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/offices" \
    -d "organization_reference=Pg4eV6k" \
    -H "Authorization: Bearer WK_API_KEY"
```
